Bug 1632459 - koji-containerbuild: Remove (sub)packages from Fedora 30+: koji-containerbuild, python2-koji-containerbuild-cli
Summary: koji-containerbuild: Remove (sub)packages from Fedora 30+: koji-containerbuil...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: koji-containerbuild
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-24 20:35 UTC by Miro Hrončok
Modified: 2019-05-13 08:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-13 08:06:24 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-24 20:35:01 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of koji-containerbuild were marked for removal:

 * koji-containerbuild
 * python2-koji-containerbuild-cli

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-01-17 11:10:08 UTC
How is koji-containerbuild used? It popped out as a "only Python module" thing, but it doesn't feel like so.

Comment 2 Miro Hrončok 2019-02-26 12:16:31 UTC
The beta freeze is at 2019-03-05. Adam, could you please respond?

Comment 3 Clement Verna 2019-02-26 13:44:13 UTC
koij-containerbuild is used by the koji daemon on the koji builders to trigger container builds. It also provides a cli for triggering builds using the koji cli.

I believe upstreams now support python3, I ll have a look and update the spec file.

Comment 4 Miro Hrončok 2019-05-11 23:43:42 UTC
(In reply to Clement Verna from comment #3)
> I believe upstreams now support python3, I ll have a look and update the
> spec file.

Any progress on that? Does upstream support Python 3 after all?

Thanks for update.

Comment 5 Clement Verna 2019-05-13 07:06:26 UTC
(In reply to Miro Hrončok from comment #4)
> (In reply to Clement Verna from comment #3)
> > I believe upstreams now support python3, I ll have a look and update the
> > spec file.
> 
> Any progress on that? Does upstream support Python 3 after all?

So upstream supports Python 3 but there is a dependency on koji-builder which last time I looked was Python 2 only. So this is currently blocked on koji-builder being available for Python 3.

> 
> Thanks for update.

Comment 6 Miro Hrončok 2019-05-13 07:53:27 UTC
Thanks.

Comment 7 Miro Hrončok 2019-05-13 08:06:24 UTC
Closing as CANTFIX for now. Don't forget to request a FESCo exception for Fedora 32 if this will still be the case.

https://fedoraproject.org/wiki/Changes/RetirePython2


Note You need to log in before you can comment on or make changes to this bug.